PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_cgetrf_incpiv | ( | int | M,
|  | int | N,
|  | PLASMA_Complex32_t * | A,
|  | int | LDA,
|  | PLASMA_desc * | descL,
|  | int * | IPIV
| ) |  |

PLASMA_cgetrf_incpiv - Computes an LU factorization of a general M-by-N matrix A using the tile LU algorithm with partial tile pivoting with row interchanges.

Parameters

  [in] | M | The number of rows of the matrix A. M >= 0.
  [in] | N | The number of columns of the matrix A. N >= 0.
  [in,out] | A | On entry, the M-by-N matrix to be factored. On exit, the tile factors L and U from the factorization.
  [in] | LDA | The leading dimension of the array A. LDA >= max(1,M).
  [out] | descL | On exit, auxiliary factorization data, related to the tile L factor, required by PLASMA_cgetrs_incpiv to solve the system of equations.
  [out] | IPIV | The pivot indices that define the permutations (not equivalent to LAPACK).

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value
  >0 | if i, U(i,i) is exactly zero. The factorization has been completed, but the factor U is exactly singular, and division by zero will occur if it is used to solve a system of equations.

See also
  PLASMA_cgetrf_incpiv_Tile
  PLASMA_cgetrf_incpiv_Tile_Async
  PLASMA_cgetrf_incpiv
  PLASMA_dgetrf_incpiv
  PLASMA_sgetrf_incpiv
  PLASMA_cgetrs_incpiv